struct tus_response {
	unsigned			magic;
#define VMOD_TUS_RESPONSE_MAGIC	0x1054e570
	unsigned			status;
	const char			*schemeauth;	// from tussrv
	const char			*origin;	// CORS
	// if set, mtx is helt
	struct tus_file_core		*fcore;
};

void
tus_response(VRT_CTX, const struct VPFX(tus_server) *tussrv,
    struct tus_response *resp);
VCL_BOOL
tus_done(VRT_CTX, const struct VPFX(tus_server) *tussrv,
    const struct tus_response *resp, const char *url);
VCL_BOOL
tus_meta(VRT_CTX, const struct tus_response *resp, const char *k, VCL_BLOB *b);

extern const unsigned s_MULT;
extern const unsigned s_OPTIONS;
extern const unsigned s_HEAD;
